Skip to main content
POST
/
clients
/
me
/
evaluate-transaction
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/evaluate-transaction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
  "data": "0xa9059cbb000000000000000000000000...",
  "value": "0x0",
  "operationType": "all"
}
'
{
  "chain": "eip155:1",
  "validation": {
    "status": "Success",
    "resultType": "Benign",
    "description": "The transaction is safe",
    "reason": "",
    "classification": "",
    "features": []
  },
  "simulation": {
    "status": "Success",
    "assetsDiffs": [],
    "totalUsdDiff": "0",
    "exposures": [],
    "totalUsdExposure": "0",
    "addressDetails": {},
    "accountSummary": {}
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Query Parameters

chainId
string
required

Chain ID in CAIP-2 format. For example, eip155:1 for Ethereum mainnet or solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp for Solana.

Body

application/json

Request body for evaluating an EVM (EIP-155) transaction.

to
string
required

The target contract or recipient address.

data
string

Encoded transaction data (hex string).

value
string

Value to send in wei (hex string).

gas
string

Gas limit.

gasPrice
string

Gas price in wei.

maxFeePerGas
string

Maximum fee per gas (EIP-1559).

maxPriorityFeePerGas
string

Maximum priority fee per gas (EIP-1559).

operationType
enum<string>

The type of evaluation to perform. Defaults to all if not specified.

  • validation — risk assessment only
  • simulation — state change simulation only
  • all — both validation and simulation
Available options:
validation,
simulation,
all

Response

Transaction evaluated successfully

Evaluation result containing validation and/or simulation results depending on the requested operationType.

chain
string

The CAIP-2 chain ID.

validation
object

Risk validation results (present when operationType is validation or all).

simulation
object

Simulation results (present when operationType is simulation or all).